:root {
    /* ---- Color ---- */
    --surface-default: #ffffff;
    --surface-accent: #06280F;

    --bg-default: #eaeaea;
    --bg-secondary: #121212;
    --bg-accent: #12DF31;

    --fg-default: #121212;
    --fg-secondary: #323232;
    --fg-tertiary: #525252;
    --fg-contrast: #ffffff;
    --fg-accent: #12DF31;

    /* ---- Spacing ---- */
    --spacing-default: 2.5rem;
    --spacing-small: 1rem;
    --spacing-tiny: 0.5rem;

     /*---- Size ---- */
    --btn--default: 2rem;

    /* ---- Typography ---- */
    /* Viewport range (in px, unitless) */
    --fluid-min-vw: 1280;
    --fluid-max-vw: 1600;

    /* Display text range (in px, unitless) */
    --display-min-size: 42;
    --display-max-size: 72;

    /* Title text range (in px, unitless) */
    --title-min-size: 24;
    --title-max-size: 32;

    /* Body text range (in px, unitless) */
    --body-min-size: 12;
    --body-max-size: 14;

    /* Caption text range (in px, unitless) */
    --caption-min-size: 10;
    --caption-max-size: 12;
    /* ------------------------ */

    /* --- Display --- */
    --display-slope: calc((var(--display-max-size) - var(--display-min-size)) / (var(--fluid-max-vw) - var(--fluid-min-vw)));
    --display-intercept: calc(var(--display-min-size) - var(--display-slope) * var(--fluid-min-vw));

    --display-text: clamp(
            calc(var(--display-min-size) / 16 * 1rem),
            calc(var(--display-intercept) / 16 * 1rem + var(--display-slope) * 100vw),
            calc(var(--display-max-size) / 16 * 1rem)
    );

    /* --- Title --- */
    --title-slope: calc((var(--title-max-size) - var(--title-min-size)) / (var(--fluid-max-vw) - var(--fluid-min-vw)));
    --title-intercept: calc(var(--title-min-size) - var(--title-slope) * var(--fluid-min-vw));

    --title-text: clamp(
            calc(var(--title-min-size) / 16 * 1rem),
            calc(var(--title-intercept) / 16 * 1rem + var(--title-slope) * 100vw),
            calc(var(--title-max-size) / 16 * 1rem)
    );

    /* --- Body --- */
    --body-slope: calc((var(--body-max-size) - var(--body-min-size)) / (var(--fluid-max-vw) - var(--fluid-min-vw)));
    --body-intercept: calc(var(--body-min-size) - var(--body-slope) * var(--fluid-min-vw));

    --body-text: clamp(
            calc(var(--body-min-size) / 16 * 1rem),
            calc(var(--body-intercept) / 16 * 1rem + var(--body-slope) * 100vw),
            calc(var(--body-max-size) / 16 * 1rem)
    );

    /* --- Caption --- */
    --caption-slope: calc((var(--caption-max-size) - var(--caption-min-size)) / (var(--fluid-max-vw) - var(--fluid-min-vw)));
    --caption-intercept: calc(var(--caption-min-size) - var(--caption-slope) * var(--fluid-min-vw));

    --caption-text: clamp(
            calc(var(--caption-min-size) / 16 * 1rem),
            calc(var(--caption-intercept) / 16 * 1rem + var(--caption-slope) * 100vw),
            calc(var(--caption-max-size) / 16 * 1rem)
    );
}

body {
    font-family: "Mona Sans", Helvetica, system-ui, -apple-system, sans-serif;
    font-weight: 500;
    font-variation-settings: "wdth" 100;
    font-size: var(--body-text);
    line-height: 1.5;
    letter-spacing: 0.01em;
    color: var(--fg-secondary);
    text-wrap: pretty;

    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}

.display-text {
    font-size: var(--display-text);
    font-weight: 900;
    font-variation-settings: "wdth" 75;
    text-transform: uppercase;
    line-height: 1;
    letter-spacing: -0.01em;
    color: var(--fg-default);
}

.title-text {
    font-size: var(--title-text);
    font-weight: 900;
    font-variation-settings: "wdth" 75;
    text-transform: uppercase;
    line-height: 1;
    letter-spacing: 0.01em;
    color: var(--fg-default);
}

.caption-text {
    font-size: var(--caption-text);
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.08em;
    line-height: 1;
}

.bold-text {
    font-weight: 700;
}
::selection {
    background-color: var(--bg-accent);
    color: var(--fg-default);
}

::-moz-selection {
    background-color: var(--bg-accent);
    color: var(--fg-default);
}

.surface--default {
    background-color: var(--surface-default);
}

.surface--accent {
    background-color: var(--surface-accent);
}

.bg--default {
    background-color: var(--bg-default);
}

.bg--secondary {
    background-color: var(--bg-secondary);
}

.bg-accent {
    background-color: var(--bg-accent);
}

.fg-default {
    color: var(--fg-default);
}

.fg-secondary {
    color: var(--fg-secondary);
}

.fg-tertiary {
    color: var(--fg-tertiary);
}

.fg-contrast {
    color: var(--fg-contrast);
}

.fg--accent {
    color: var(--fg-accent);
}

.btn {
    height: var(--btn--default);
    width: fit-content;
    padding: 0 var(--spacing-small);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--fg-contrast);
    background-color: var(--bg-secondary);
    border-radius: 999px;
    font-size: var(--caption-text);
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.08em;
    line-height: 1;
}

.btn:hover {
    opacity: 0.8;
}

.btn--accent {
    background-color: var(--bg-accent);
    color: var(--fg-default);
}

.chip {
    height: 1.5rem;
    width: fit-content;
    padding: 0 var(--spacing-small);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--fg-tertiary);
    background-color: var(--bg-default);
    border-radius: 999px;
    font-size: var(--caption-text);
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0.08em;
    line-height: 1;
}

.chips {
    display: flex;
    flex-wrap: wrap;
    gap: var(--spacing-small);
}

.divider {
    height: 1px;
    width: 100%;
    background-color: var(--fg-default);
    margin-block: var(--spacing-default);
}

.nav {
    position: fixed;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    padding: var(--spacing-small) var(--spacing-default);
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 1px 0 0 var(--fg-default);
}

.nav__end {
    display: flex;
    align-items: center;
    gap: var(--spacing-default);
}

.hero {
    position: relative;
    z-index: 3;
    display: grid;
    align-items: start;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: max-content 1fr max-content;
    gap: var(--spacing-default);
    padding: var(--spacing-default);
    min-height: 66vh;
}

.hero__info {
    grid-column: span 5;
    grid-row: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.hero__content {
    grid-column: span 4;
    grid-row: 2;
    height: 100%;
}

.hero__actions {
    grid-column: span 5;
    grid-row: 3;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--spacing-default);
}

.hero__location {
    flex: 1;
}

.contact {
    display: flex;
    gap: var(--spacing-tiny);
}

.availability {
    display: flex;
    align-items: center;
    gap: var(--spacing-default);
}

.availability__badge {
    flex-shrink: 0;
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    animation: pulse 5s infinite ease-in-out;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 color-mix(in srgb, var(--fg-accent) 50%, transparent);
    }
    20% {
        box-shadow: 0 0 0 1rem color-mix(in srgb, var(--fg-accent) 0%, transparent);
    }
    100% {
        box-shadow: 0 0 0 1rem color-mix(in srgb, var(--fg-accent) 0%, transparent);
    }
}

.work {
    padding: var(--spacing-default);
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-default);
}

.company {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: var(--spacing-default);
    align-items: start;
}

.company__content {
    position: sticky;
    top: calc(2 * var(--spacing-small) + var(--spacing-default) + var(--btn--default));
    grid-column: span 2;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-default);
    max-width: 64ch;
}

.company__intro {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-small);
}

.company__highlights {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-small);
}

.company__highlight {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-tiny);
}

.company__visuals {
    grid-column: span 3;
    display: flex;
    flex-direction: column;
    gap: var(--spacing-default);
}

.company__visual {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--spacing-tiny);

    img, video {
        border-radius: 4px;
    }

    figcaption {
        max-width: 64ch;
        text-align: center;
    }
}

@media (max-width: 800px) {
    :root {
        /* ---- Spacing ---- */
        --spacing-default: 1.5rem;
        --spacing-small: 0.75rem;
    }

    .hero {
        display: flex;
        flex-direction: column;
    }

    .hero__info {
        width: 100%;
    }

    .hero__content {
        min-height: 50vh;
    }

    .hero__actions {
        flex-wrap: wrap;
    }

    .hero .contact {
        width: 100%;
    }

    .hero .contact .btn {
        flex: 1;
    }

    .availability__badge {
        display: none;
    }

    .nav .availability {
        display: none;
    }

    .company {
        display: flex;
        flex-direction: column;
    }

    .company__content {
        position: static;
    }
}